chevron-thin-right chevron-thin-left brand cancel-circle search youtube-icon google-plus-icon linkedin-icon facebook-icon twitter-icon toolbox download check linkedin phone twitter-old google-plus facebook profile-male chat calendar profile-male
0 votes
After making the move from 4.0.3 to 4.2.2 the build on our continous integration server now fails. No changes have been made other than the switch of versions. We do an autodeploy of TypeMock during our build script. To do the build we use FinalBuilder 5.5 and MSBuild. Unit tests are with MbUnit 2.4.197.

The error message we get is from MbUnit which dies on us on the build server when TypeMock is 4.2.2, but works perfectly fine when it is with 4.0.3. The error message comes in a little dialog box:
"MbUnit.Cons 2.4.197 has encountered a problem and needs to close. We are sorry for the inconvenience. If you were in the middle of something, the information you were working on might be lost."

The command we run is this:
C:\FinalBuilder\AquaFutureMainline\WorkingFolder\SW\3rdParty\TypeMock\bin\TMockRunner.exe -link none "C:\FinalBuilder\AquaFutureMainline\WorkingFolder\SW\3rdParty\MbUnit\bin\MbUnit.Cons.exe" /report-name-format:UnitTestBusinessLayerTest.dll /report-folder:../UnitTestLogs /report-type:xml /filter-category:UnitTest BusinessLayerTest.dll

Included with the project for the auto deploy are the following files:
TypeMockRegister.msbuild
typemockconfig.xml
TypeMock.MSBuild.Tasks
TypeMock.MSBuild.dll
TypeMock.dll
TypeMock.Configuration.exe
TMockRunner.exe.config
TMockRunner.exe
ProfileLinker.dll
namespaces.dat
MockWeaver.dll
Configuration.dll

These are from the x86 version of TypeMock, even though the server is x64. With the x64 files it wouldn't even register when trying the auto deploy. x86 got us further.

[-Rest of post contains logs-]
asked by halstein (8.7k points)

2 Answers

0 votes
Hi,

Thanks for reporting this. I'll contact you offline for further investigation.

p.s.

I'm editing your post to include the relevant info.
answered by gilz (14.5k points)
0 votes
Hi all,

Just wanted to let you know that upgrading to 4.2.3 resolved this issue. :)
answered by lior (13.2k points)
...